# DARestoreArray

Restores an array of derivative types for a DA

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DARestoreArray(DA da,PetscTruth ghosted,void **iptr)

### Input Parameter

| da | - information about my local patch
| ghosted | - do you want arrays for the ghosted or nonghosted patch
| ptr | - array data structured to be passed to ad_FormFunctionLocal()

### See Also

DAGetArray(), DAGetAdicArray()

Level:advanced
Location: src/dm/da/src/dalocal.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages